Package org.eclipse.net4j.db.postgresql

## Class PostgreSQLAdapter

- java.lang.Object
- - org.eclipse.net4j.spi.db.DBAdapter
  - - org.eclipse.net4j.db.postgresql.PostgreSQLAdapter

- All Implemented Interfaces:
    `IDBAdapter`

      public class PostgreSQLAdapter
      extends DBAdapter

  A `DB adapter` for PostgreSQL databases.
  Author:
    Victor Roldan Betancort

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.spi.db.DBAdapter

      `DBAdapter.FieldInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |
    `static java.lang.String` | `VERSION` |

    - ### Fields inherited from interface org.eclipse.net4j.db.IDBAdapter

      `REGISTRY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `PostgreSQLAdapter()` |
    `protected` | `PostgreSQLAdapter​(java.lang.String name, java.lang.String version)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doCreateTable​(IDBTable table, java.sql.Statement statement)` |
    `int` | `getMaxFieldNameLength()` |
    `int` | `getMaxTableNameLength()` |
    `java.lang.String[]` | `getReservedWords()` |
    `protected java.lang.String` | `getTypeName​(IDBField field)` |
    `boolean` | `isColumnNotFoundException​(java.sql.SQLException ex)` | See Appendix A.
    `boolean` | `isDuplicateKeyException​(java.sql.SQLException ex)` | See Appendix A.
    `boolean` | `isTableNotFoundException​(java.sql.SQLException ex)` | See Appendix A.

    - ### Methods inherited from class org.eclipse.net4j.spi.db.DBAdapter

      `adaptType, addIndex, addIndexField, alterTable, appendFieldDefs, appendFieldNames, convertString, convertString, convertString, convertToSQL, createConnectionProvider, createConstraints, createField, createFieldDefinition, createFieldDefinitions, createIndex, createIndex, createIndex, createIndexFields, createJDBCDataSource, createPrimaryKey, createTable, createTable, createTables, dropField, dropIndex, dropIndex, dropPrimaryKey, dropTable, dropTable, dropTables, format, format, generateReservedWords, getDefaultDBLength, getDropTableSQL, getFieldLength, getJDBCDriver, getName, getSQL92ReservedWords, getVersion, isPrimaryKeyShadow, isReservedWord, isTypeIndexable, isValidFirstChar, modifyConnection, openSchemaTransaction, readFields, readIndices, readIndices, readSchema, readSchema, readTables, sqlModifyField, sqlModifyField, sqlRenameField, toString, updateSchema, validateTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

    - #### VERSION

          public static final java.lang.String VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PostgreSQLAdapter

          public PostgreSQLAdapter()

    - #### PostgreSQLAdapter

          protected PostgreSQLAdapter​(java.lang.String name,
                                      java.lang.String version)

      Since:
        4.4

  - ### Method Detail

    - #### getMaxTableNameLength

          public int getMaxTableNameLength()

      Specified by:
        `getMaxTableNameLength` in interface `IDBAdapter`
      Overrides:
        `getMaxTableNameLength` in class `DBAdapter`
      Since:
        2.0

    - #### getMaxFieldNameLength

          public int getMaxFieldNameLength()

      Specified by:
        `getMaxFieldNameLength` in interface `IDBAdapter`
      Overrides:
        `getMaxFieldNameLength` in class `DBAdapter`
      Since:
        2.0

    - #### getTypeName

          protected java.lang.String getTypeName​(IDBField field)

      Overrides:
        `getTypeName` in class `DBAdapter`

    - #### getReservedWords

          public java.lang.String[] getReservedWords()

    - #### isDuplicateKeyException

          public boolean isDuplicateKeyException​(java.sql.SQLException ex)

      See Appendix A. PostgreSQL Error Codes.
      Specified by:
        `isDuplicateKeyException` in interface `IDBAdapter`
      Overrides:
        `isDuplicateKeyException` in class `DBAdapter`

    - #### isTableNotFoundException

          public boolean isTableNotFoundException​(java.sql.SQLException ex)

      See Appendix A. PostgreSQL Error Codes.
      Specified by:
        `isTableNotFoundException` in interface `IDBAdapter`
      Overrides:
        `isTableNotFoundException` in class `DBAdapter`

    - #### isColumnNotFoundException

          public boolean isColumnNotFoundException​(java.sql.SQLException ex)

      See Appendix A. PostgreSQL Error Codes.
      Specified by:
        `isColumnNotFoundException` in interface `IDBAdapter`
      Overrides:
        `isColumnNotFoundException` in class `DBAdapter`

    - #### doCreateTable

          protected void doCreateTable​(IDBTable table,
                                       java.sql.Statement statement)
                                throws java.sql.SQLException

      Overrides:
        `doCreateTable` in class `DBAdapter`
      Throws:
        `java.sql.SQLException`
      Since:
        4.1